import { Position } from '@capacitor/geolocation';
import { DeepClient } from '@deep-foundation/deeplinks/imports/client.js';
export declare function insertPosition(options: InsertPositionOptions): Promise<void>;
export interface InsertPositionOptions {
    /**
     * The deep client
     */
    deep: DeepClient;
    /**
     * The position info to insert
     */
    position: Position;
    /**
     * The id of the container link
     *
     * @defaultValue {@link InsertPositionOptions.deep.linkId}
     */
    containerLinkId?: number;
}
