import { Package } from './package';
export async function insertPosition(options) {
    const { deep, position, containerLinkId = deep.linkId } = options;
    const _package = new Package({ deep });
    await deep.insert({
        type_id: _package.Position.idLocal(),
        object: {
            data: {
                value: position
            }
        },
        in: {
            data: {
                type_id: deep.idLocal("@deep-foundation/core", "Contain"),
                from_id: containerLinkId,
            }
        }
    });
}
