import { Position } from '@capacitor/geolocation';
import { DeepClient } from '@deep-foundation/deeplinks/imports/client.js';
export declare function getPosition(options: GetPositionOptions): Promise<Position | undefined>;
export interface GetPositionOptions {
    /**
     * The deep client
     */
    deep: DeepClient;
    /**
     * The id of the position link
     */
    linkId: number;
}
